Subject: re: popups upon library errors.
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sat, 27 Mar 2004 20:10:56 -0500 (EST)

esp wrote:
>After trying to compile cygwin from scratch, I've come to the conclusion
that
>opening up popup windows that require human interaction for system events is
>well-nigh intolerable, and I'm hoping that something can be done to fix it.
>
>Figure - I'm installing gettext, and configure is doing a bunch of checks
>on my system.  It tries to find libICE, which is not installed, and isn't
>even a fatal error in configuring gettext.
>
>So - instead of going on to the next statement silently, I get a button
>that I need to press in order to continue telling me of my 'error'. And
hence
>stopping the configure process in its middle.

Can you take a screenshot of the dialog box and either post
a URL for it, or send it to me directly (I imagine this mailing
list doesn't want largish attachments cluttering up everyone's inbox)?

I ran into something similar two years ago trying to cross-compile
some apps on cygwin... turned out a configure check executable
got interpreted as a win16 binary, causing an annoying dialog box!
(See http://www.geocrawler.com/archives/3/402/2002/8/0/9421493/ )
- Dan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/